<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="utf-8" standalone="yes"></xsl:output>

	<xsl:template match="/">
		<xsl:apply-templates />
	</xsl:template>
	
	<xsl:template match="instance">
[size=20pt]<xsl:value-of select="name"/>[/size]

<xsl:value-of select="description"/>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="encounter">

[size=18pt]<xsl:value-of select="name"/>[/size]

<xsl:value-of select="description"/>	

		<xsl:apply-templates select="rootsection"/>
	</xsl:template>
	
	<xsl:template match="rootsection">
	
		<xsl:apply-templates>
			<xsl:with-param name="hsize" select="number(16)"/>
		</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template match="section">
		<xsl:param name="hsize" select="number(16)"/>

<xsl:text>

</xsl:text>
<xsl:call-template name="indent"><xsl:with-param name="count" select="(16 - $hsize)*2"/></xsl:call-template><!--
--><xsl:if test="@abilityIcon">[img]http://static.wowhead.com/images/wow/icons/medium/<xsl:value-of select="translate(substring(@abilityIcon,17,string-length(@abilityIcon)-17-3),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>.jpg[/img] </xsl:if><!--
-->[b][size=<xsl:value-of select="$hsize"/>pt]<xsl:value-of select="title"/>[/size][/b]<!--
--><xsl:text> </xsl:text><!--
--><xsl:if test="@flag_tank">[color=#a00000]tank[/color] </xsl:if><!--
--><xsl:if test="@flag_dps">[color=#a00000]dps[/color] </xsl:if><!--
--><xsl:if test="@flag_healer">[color=#a00000]healer[/color] </xsl:if><!--
--><xsl:if test="@flag_deadly">[color=#a00000]deadly[/color] </xsl:if><!--
--><xsl:if test="@flag_important">[color=#a00000]important[/color] </xsl:if><!--
--><xsl:if test="@flag_interruptible">[color=#a00000]interruptible[/color] </xsl:if><!--
--><xsl:if test="@flag_magic">[color=#a00000]magic[/color] </xsl:if><!--
--><xsl:if test="@flag_curse">[color=#a00000]curse[/color] </xsl:if><!--
--><xsl:if test="@flag_poison">[color=#a00000]poison[/color] </xsl:if><!--
--><xsl:if test="@flag_disease">[color=#a00000]disease[/color] </xsl:if><!--
--><xsl:if test="@flag_enrage">[color=#a00000]enrage[/color] </xsl:if><!--
--><xsl:if test="@modes">(<xsl:value-of select="@modes"/>)</xsl:if>
<!-- <xsl:if test="@flag_heroic">[color=#a00000]heroic[/color] </xsl:if> -->
<xsl:text>
</xsl:text>
<xsl:apply-templates select="description"/>

		<xsl:apply-templates select="section">
			<xsl:with-param name="hsize" select="$hsize - 2"/>
		</xsl:apply-templates>
	</xsl:template>	
	
	<xsl:template match="description"><xsl:apply-templates/></xsl:template>
	
	<xsl:template match="icon"></xsl:template>
	<xsl:template match="color">[color=<xsl:value-of select="@color"/>]<xsl:apply-templates/>[/color]</xsl:template>
	
	<xsl:template name="indent"><!--
		--><xsl:param name="count" select="number(0)"/><!--
		--><xsl:if test="$count > 0"><xsl:text> </xsl:text><xsl:call-template name="indent"><xsl:with-param name="count" select="$count - 1"/></xsl:call-template></xsl:if><!--
	--></xsl:template>
</xsl:stylesheet>